GDB (xrefs)

Public Attributes | List of all members
bookmark Struct Reference

## Public Attributes
struct bookmark * | next
int | number
CORE_ADDR | pc
struct symtab_and_line | sal
gdb_byte * | opaque_data

## Detailed Description

Definition at line 94 of file reverse.c.

## Member Data Documentation

## ◆ next

struct bookmark* bookmark::next

Definition at line 95 of file reverse.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), delete_one_bookmark(), and save_bookmark_command().

## ◆ number

int bookmark::number

Definition at line 96 of file reverse.c.

Referenced by bookmark_1(), delete_one_bookmark(), goto_bookmark_command(), and save_bookmark_command().

## ◆ opaque_data

gdb_byte* bookmark::opaque_data

Definition at line 99 of file reverse.c.

Referenced by bookmark_1(), delete_all_bookmarks(), delete_one_bookmark(), goto_bookmark_command(), and save_bookmark_command().

## ◆ pc

CORE_ADDR bookmark::pc

Definition at line 97 of file reverse.c.

Referenced by bookmark_1(), and save_bookmark_command().

## ◆ sal

struct symtab_and_line bookmark::sal

Definition at line 98 of file reverse.c.

Referenced by save_bookmark_command().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/reverse.c